- entityDefinitions:
  - IDI_TaskCategory_CustomReportDefinition: '{7ba7db38-99ba-43fe-92f3-b5c72feef739}'

  - IDE_CustomReportDefinition_Select: '{feb43661-a27b-4832-9809-dfa535dd81a7}'
  - IDE_CustomReportDefinition_Definition: '{eede4bbc-e965-4332-a69b-3fab29e0ca39}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_CustomReportDefinition;'
    name: 'Custom Report Definition'

  - element: '&IDE_CustomReportDefinition_Select;'
    name: 'Custom Report Definition selection subedit'
    elementContents:
    - globalIdentifier: '{7c1704b0-d76d-417d-9ff0-1a39668efb7e}'
      defaultDataType: '&IDC_CustomReportDefinition;'
      label: 'Custom Report Definition'

  - element: '&IDE_CustomReportDefinition_Definition;'
    name: 'Custom Report Definition definition subedit'
    elementContents:
    - globalIdentifier: '{9f40d847-e0c3-4138-8e79-05696b402b3d}'
      defaultDataType: '&IDA_Name;'
      label: 'Report Name'
    - globalIdentifier: '{c6b58891-a706-4b94-85aa-f57dff153d22}'
      label: 'Report Type'
    - globalIdentifier: '{acc73336-a708-4107-a4ab-4154a080bc6e}'
      label: 'Data Source'
      defaultDataType: '&IDR_Report_Definition__uses__Data_Source;'
    - globalIdentifier: '{80fbf3da-196a-4874-af38-8aa2721d77ec}'
      label: 'Data Source Type'
    - globalIdentifier: '{17ef6e2b-f1cd-43f8-8fe2-62a282d41843}'
      label: 'Primary Report Object'
    - globalIdentifier: '{b386d569-fe21-48fc-bc44-889ca5c314a7}'
      label: 'Report Tags'

  - groupLayout: '{1e86a47a-45e3-488b-a979-b4db2d2cc7f0}'
    options:
    - instance: '&IDI_GroupLayoutOption_Tabbed;'